Package com.google.protobuf

# Enum Class Field.Kind

java.lang.Object
java.lang.Enum<Field.Kind>
com.google.protobuf.Field.Kind

All Implemented Interfaces:
  `Internal.EnumLite`, `ProtocolMessageEnum`, `Serializable`, `Comparable<Field.Kind>`, `Constable`

Enclosing class:
  Field

public static enum Field.Kind extends Enum<Field.Kind> implements ProtocolMessageEnum
Protobuf enum `google.protobuf.Field.Kind`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TYPE_BOOL`
`TYPE_BOOL = 8;`
`TYPE_BYTES`
`TYPE_BYTES = 12;`
`TYPE_DOUBLE`
`TYPE_DOUBLE = 1;`
`TYPE_ENUM`
`TYPE_ENUM = 14;`
`TYPE_FIXED32`
`TYPE_FIXED32 = 7;`
`TYPE_FIXED64`
`TYPE_FIXED64 = 6;`
`TYPE_FLOAT`
`TYPE_FLOAT = 2;`
`TYPE_GROUP`
`TYPE_GROUP = 10;`
`TYPE_INT32`
`TYPE_INT32 = 5;`
`TYPE_INT64`
`TYPE_INT64 = 3;`
`TYPE_MESSAGE`
`TYPE_MESSAGE = 11;`
`TYPE_SFIXED32`
`TYPE_SFIXED32 = 15;`
`TYPE_SFIXED64`
`TYPE_SFIXED64 = 16;`
`TYPE_SINT32`
`TYPE_SINT32 = 17;`
`TYPE_SINT64`
`TYPE_SINT64 = 18;`
`TYPE_STRING`
`TYPE_STRING = 9;`
`TYPE_UINT32`
`TYPE_UINT32 = 13;`
`TYPE_UINT64`
`TYPE_UINT64 = 4;`
`TYPE_UNKNOWN`
`TYPE_UNKNOWN = 0;`
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_BOOL_VALUE`
`TYPE_BOOL = 8;`
`static final int`
`TYPE_BYTES_VALUE`
`TYPE_BYTES = 12;`
`static final int`
`TYPE_DOUBLE_VALUE`
`TYPE_DOUBLE = 1;`
`static final int`
`TYPE_ENUM_VALUE`
`TYPE_ENUM = 14;`
`static final int`
`TYPE_FIXED32_VALUE`
`TYPE_FIXED32 = 7;`
`static final int`
`TYPE_FIXED64_VALUE`
`TYPE_FIXED64 = 6;`
`static final int`
`TYPE_FLOAT_VALUE`
`TYPE_FLOAT = 2;`
`static final int`
`TYPE_GROUP_VALUE`
`TYPE_GROUP = 10;`
`static final int`
`TYPE_INT32_VALUE`
`TYPE_INT32 = 5;`
`static final int`
`TYPE_INT64_VALUE`
`TYPE_INT64 = 3;`
`static final int`
`TYPE_MESSAGE_VALUE`
`TYPE_MESSAGE = 11;`
`static final int`
`TYPE_SFIXED32_VALUE`
`TYPE_SFIXED32 = 15;`
`static final int`
`TYPE_SFIXED64_VALUE`
`TYPE_SFIXED64 = 16;`
`static final int`
`TYPE_SINT32_VALUE`
`TYPE_SINT32 = 17;`
`static final int`
`TYPE_SINT64_VALUE`
`TYPE_SINT64 = 18;`
`static final int`
`TYPE_STRING_VALUE`
`TYPE_STRING = 9;`
`static final int`
`TYPE_UINT32_VALUE`
`TYPE_UINT32 = 13;`
`static final int`
`TYPE_UINT64_VALUE`
`TYPE_UINT64 = 4;`
`static final int`
`TYPE_UNKNOWN_VALUE`
`TYPE_UNKNOWN = 0;`

## Method Summary

Modifier and Type
Method
Description
`static Field.Kind`
`forNumber(int value)`
`static final Descriptors.EnumDescriptor`
`getDescriptor()`
`final Descriptors.EnumDescriptor`
`getDescriptorForType()`
Return the enum type's descriptor, which contains information about each defined value, etc.
`final int`
`getNumber()`
Return the value's numeric value as defined in the .proto file.
`final Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
Return the value's descriptor, which contains information such as value name, number, and type.
`static Internal.EnumLiteMap<Field.Kind>`
`internalGetValueMap()`
`static Field.Kind`
`valueOf(int value)`
Deprecated.
`static Field.Kind`
`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static Field.Kind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Field.Kind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TYPE_UNKNOWN

public static final Field.Kind TYPE_UNKNOWN
`TYPE_UNKNOWN = 0;`

### TYPE_DOUBLE

public static final Field.Kind TYPE_DOUBLE
`TYPE_DOUBLE = 1;`

### TYPE_FLOAT

public static final Field.Kind TYPE_FLOAT
`TYPE_FLOAT = 2;`

### TYPE_INT64

public static final Field.Kind TYPE_INT64
`TYPE_INT64 = 3;`

### TYPE_UINT64

public static final Field.Kind TYPE_UINT64
`TYPE_UINT64 = 4;`

### TYPE_INT32

public static final Field.Kind TYPE_INT32
`TYPE_INT32 = 5;`

### TYPE_FIXED64

public static final Field.Kind TYPE_FIXED64
`TYPE_FIXED64 = 6;`

### TYPE_FIXED32

public static final Field.Kind TYPE_FIXED32
`TYPE_FIXED32 = 7;`

### TYPE_BOOL

public static final Field.Kind TYPE_BOOL
`TYPE_BOOL = 8;`

### TYPE_STRING

public static final Field.Kind TYPE_STRING
`TYPE_STRING = 9;`

### TYPE_GROUP

public static final Field.Kind TYPE_GROUP
`TYPE_GROUP = 10;`

### TYPE_MESSAGE

public static final Field.Kind TYPE_MESSAGE
`TYPE_MESSAGE = 11;`

### TYPE_BYTES

public static final Field.Kind TYPE_BYTES
`TYPE_BYTES = 12;`

### TYPE_UINT32

public static final Field.Kind TYPE_UINT32
`TYPE_UINT32 = 13;`

### TYPE_ENUM

public static final Field.Kind TYPE_ENUM
`TYPE_ENUM = 14;`

### TYPE_SFIXED32

public static final Field.Kind TYPE_SFIXED32
`TYPE_SFIXED32 = 15;`

### TYPE_SFIXED64

public static final Field.Kind TYPE_SFIXED64
`TYPE_SFIXED64 = 16;`

### TYPE_SINT32

public static final Field.Kind TYPE_SINT32
`TYPE_SINT32 = 17;`

### TYPE_SINT64

public static final Field.Kind TYPE_SINT64
`TYPE_SINT64 = 18;`

### UNRECOGNIZED

public static final Field.Kind UNRECOGNIZED

## Field Details

### TYPE_UNKNOWN_VALUE

public static final int TYPE_UNKNOWN_VALUE
`TYPE_UNKNOWN = 0;`

See Also:
  - Constant Field Values

### TYPE_DOUBLE_VALUE

public static final int TYPE_DOUBLE_VALUE
`TYPE_DOUBLE = 1;`

See Also:
  - Constant Field Values

### TYPE_FLOAT_VALUE

public static final int TYPE_FLOAT_VALUE
`TYPE_FLOAT = 2;`

See Also:
  - Constant Field Values

### TYPE_INT64_VALUE

public static final int TYPE_INT64_VALUE
`TYPE_INT64 = 3;`

See Also:
  - Constant Field Values

### TYPE_UINT64_VALUE

public static final int TYPE_UINT64_VALUE
`TYPE_UINT64 = 4;`

See Also:
  - Constant Field Values

### TYPE_INT32_VALUE

public static final int TYPE_INT32_VALUE
`TYPE_INT32 = 5;`

See Also:
  - Constant Field Values

### TYPE_FIXED64_VALUE

public static final int TYPE_FIXED64_VALUE
`TYPE_FIXED64 = 6;`

See Also:
  - Constant Field Values

### TYPE_FIXED32_VALUE

public static final int TYPE_FIXED32_VALUE
`TYPE_FIXED32 = 7;`

See Also:
  - Constant Field Values

### TYPE_BOOL_VALUE

public static final int TYPE_BOOL_VALUE
`TYPE_BOOL = 8;`

See Also:
  - Constant Field Values

### TYPE_STRING_VALUE

public static final int TYPE_STRING_VALUE
`TYPE_STRING = 9;`

See Also:
  - Constant Field Values

### TYPE_GROUP_VALUE

public static final int TYPE_GROUP_VALUE
`TYPE_GROUP = 10;`

See Also:
  - Constant Field Values

### TYPE_MESSAGE_VALUE

public static final int TYPE_MESSAGE_VALUE
`TYPE_MESSAGE = 11;`

See Also:
  - Constant Field Values

### TYPE_BYTES_VALUE

public static final int TYPE_BYTES_VALUE
`TYPE_BYTES = 12;`

See Also:
  - Constant Field Values

### TYPE_UINT32_VALUE

public static final int TYPE_UINT32_VALUE
`TYPE_UINT32 = 13;`

See Also:
  - Constant Field Values

### TYPE_ENUM_VALUE

public static final int TYPE_ENUM_VALUE
`TYPE_ENUM = 14;`

See Also:
  - Constant Field Values

### TYPE_SFIXED32_VALUE

public static final int TYPE_SFIXED32_VALUE
`TYPE_SFIXED32 = 15;`

See Also:
  - Constant Field Values

### TYPE_SFIXED64_VALUE

public static final int TYPE_SFIXED64_VALUE
`TYPE_SFIXED64 = 16;`

See Also:
  - Constant Field Values

### TYPE_SINT32_VALUE

public static final int TYPE_SINT32_VALUE
`TYPE_SINT32 = 17;`

See Also:
  - Constant Field Values

### TYPE_SINT64_VALUE

public static final int TYPE_SINT64_VALUE
`TYPE_SINT64 = 18;`

See Also:
  - Constant Field Values

## Method Details

### values

public static Field.Kind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Field.Kind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()
Description copied from interface: `ProtocolMessageEnum`
Return the value's numeric value as defined in the .proto file.

Specified by:
  `getNumber` in interface `Internal.EnumLite`
Specified by:
  `getNumber` in interface `ProtocolMessageEnum`

### valueOf

@Deprecated public static Field.Kind valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static Field.Kind forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static Internal.EnumLiteMap<Field.Kind> internalGetValueMap()

### getValueDescriptor

public final Descriptors.EnumValueDescriptor getValueDescriptor()
Description copied from interface: `ProtocolMessageEnum`
Return the value's descriptor, which contains information such as value name, number, and type.

Specified by:
  `getValueDescriptor` in interface `ProtocolMessageEnum`

### getDescriptorForType

public final Descriptors.EnumDescriptor getDescriptorForType()
Description copied from interface: `ProtocolMessageEnum`
Return the enum type's descriptor, which contains information about each defined value, etc.

Specified by:
  `getDescriptorForType` in interface `ProtocolMessageEnum`

### getDescriptor

public static final Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static Field.Kind valueOf(Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null